// David Eberly, Geometric Tools, Redmond WA 98052
// Copyright (c) 1998-2018
// Distributed under the Boost Software License, Version 1.0.
// http://www.boost.org/LICENSE_1_0.txt
// http://www.geometrictools.com/License/Boost/LICENSE_1_0.txt
// File Version: 3.0.0 (2016/06/19)

#pragma once

// Fluid2
#include <Physics/GteFluid2.h>
#include <Physics/GteFluid2AdjustVelocity.h>
#include <Physics/GteFluid2ComputeDivergence.h>
#include <Physics/GteFluid2EnforceStateBoundary.h>
#include <Physics/GteFluid2InitializeSource.h>
#include <Physics/GteFluid2InitializeState.h>
#include <Physics/GteFluid2Parameters.h>
#include <Physics/GteFluid2SolvePoisson.h>
#include <Physics/GteFluid2UpdateState.h>

// Fluid3
#include <Physics/GteFluid3.h>
#include <Physics/GteFluid3AdjustVelocity.h>
#include <Physics/GteFluid3ComputeDivergence.h>
#include <Physics/GteFluid3EnforceStateBoundary.h>
#include <Physics/GteFluid3InitializeSource.h>
#include <Physics/GteFluid3InitializeState.h>
#include <Physics/GteFluid3Parameters.h>
#include <Physics/GteFluid3SolvePoisson.h>
#include <Physics/GteFluid3UpdateState.h>

// Intersection
#include <Physics/GteBoxManager.h>
#include <Physics/GteExtremalQuery3.h>
#include <Physics/GteExtremalQuery3BSP.h>
#include <Physics/GteExtremalQuery3PRJ.h>
#include <Physics/GteRectangleManager.h>

// ParticleSystems
#include <Physics/GteMassSpringArbitrary.h>
#include <Physics/GteMassSpringCurve.h>
#include <Physics/GteMassSpringSurface.h>
#include <Physics/GteMassSpringVolume.h>
#include <Physics/GteParticleSystem.h>

// RigidBody
#include <Physics/GtePolyhedralMassProperties.h>
#include <Physics/GteRigidBody.h>
